#
# spec file for package virt-manager (Version 0.5.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           virt-manager
%define _extra_release %{?dist:%{dist}}%{!?dist:%{?extra_release:%{extra_release}}}
%define gsysconfdir /etc/opt/gnome
%define gconftool /opt/gnome/bin/gconftool-2
%define virtinst_maj 0
%define virtinst_min 300
%define virtinst_rel 2
%define virtinst_name virtinst-%{virtinst_maj}.%{virtinst_min}.%{virtinst_rel}
Version:        0.5.3
Release:        0.34.42
Summary:        Virtual Machine Manager
Group:          System/Monitoring
License:        GPL v2 or later
Url:            http://virt-manager.et.redhat.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64
Source0:        virt-manager-%{version}.tar.gz
Source1:        %{virtinst_name}.tar.gz
Patch0:         virtman-desktop.diff
Patch1:         virtman-dbus-query.diff
Patch2:         virtman-xen-uri.diff
Patch3:         virtman-detect.diff
Patch4:         virtman-timewatch.diff
Patch5:         virtman-vminstall.diff
Patch6:         virtman-vif.diff
Patch7:         virtman-hardware.diff
Patch8:         virtman-pointer.diff
Patch9:         virtman-netcat.diff
Patch10:        virtman-viewer.diff
Patch11:        virtman-viewer2.diff
Patch50:        virtinst-vif.diff
Patch51:        virtinst-mode.diff
Patch100:       virtman-misc.diff
Patch101:       virtman-cdrom.diff
Patch102:       virtman-keycombo.diff
# These two are just the oldest version tested
# Requires:       pygtk2 >= 1.99.12-6
Requires:       python-gtk
# Requires:       gnome-python2-gconf >= 1.99.11-7
Requires:       python-gnome
# Absolutely require this version or newer
Requires:       libvirt-python >= 0.3.0-1
# Definitely does not work with earlier due to python API changes
# Requires:       dbus-python >= 0.61
Requires:       dbus-1-python
# Might work with earlier, but this is what we've tested
#Requires:       gnome-keyring >= 0.4.9
Requires:       gnome-keyring
# Minimum we've tested with
# Although if you don't have this, comment it out and the app
# will work just fine - keyring functionality will simply be
# disabled
# Requires:       gnome-python2-gnomekeyring >= 2.15.4
# Requires:       gnome-python2-gnomevfs >= 2.15.4
# Minimum we've tested with
Requires:       libxml2-python >= 2.6.23
# Required to install Xen & QEMU guests
# Requires:       python-virtinst >= 0.300.2
# Required for loading the glade UI
# Requires:       pygtk2-libglade
# Required for our graphics which are currently SVG format
Requires:       librsvg2
Requires:       netcat
# Earlier vte had broken python binding module
# Requires:       vte >= 0.12.2
Requires:       vte
# For online help
Requires:       scrollkeeper
# For console widget
# Requires:       gtk-vnc-python
Requires:       python-gtk-vnc
BuildRequires:  gtk2-devel
BuildRequires:  python-devel
BuildRequires:  gettext
BuildRequires:  scrollkeeper
BuildRequires:  intltool
BuildRequires:  python-gtk
BuildRequires:  gconf2
BuildRequires:  desktop-file-utils
BuildRequires:  update-desktop-files
BuildRequires:  libdrm
# virtinst BuildRequires
BuildRequires:  libxml2-python
BuildRequires:  python-urlgrabber
BuildRequires:  libvirt-python
Requires(pre): gconf2
Requires(post): gconf2,desktop-file-utils
Requires(postun): desktop-file-utils
Requires(preun): gconf2

%description
Virt Manager provides a graphical tool for administering virtual
machines.



Authors:
--------
    Daniel Berrange <berrange@redhat.com>
    Hugh O. Brock <hbrock@redhat.com>
    Jeremy Katz <katzj@redhat.com>

%prep
%setup -q
%setup -b 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
pushd $RPM_BUILD_DIR/%{virtinst_name}
%patch50 -p1
%patch51 -p1
popd
# Fix for broken autobuild script in post-build-checks.rpm
if grep "work/abuild" $BUILD_ROOT/usr/lib/build/checks/04-check-filelist > /dev/null 2>&1 ; then
  sed -i 's^/work/abuild/lib/abuild/build-check^\$BUILD_ROOT/usr/lib/build/checks-data^' $BUILD_ROOT/usr/lib/build/checks/04-check-filelist
fi

%build
# autoreconf -i
%configure --sysconfdir=%{gsysconfdir}
make %{?_smp_mflags}
cd $RPM_BUILD_DIR/%{virtinst_name}
python setup.py build
python setup.py install

%install
rm -rf $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
install -m644 ../%{virtinst_name}/virtinst/*.py $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
# install -m644 ../virtinst-0.300.2/virtinst/*.py $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/sparkline.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/sparkline.la
# Unsupport languages:
rm -rf $RPM_BUILD_ROOT/usr/share/locale/or
%find_lang %{name}
%suse_update_desktop_file %{name} X-SuSE-YaST-Virtualization
sed -i -e 's/Categories=.*/Categories=Qt;X-SuSE-YaST;X-SuSE-YaST-Virtualization;/' $RPM_BUILD_ROOT/%{_datadir}/applications/YaST2/%{name}.desktop
# Nuking these because old version didnt have any
rm -rf $RPM_BUILD_ROOT/usr/share/gnome
# Also fixing the %{name}.lang file forcibly.
sed -i '\^/usr/share/gnome/help/^d' %{name}.lang

%clean
# rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`%{gconftool} --get-default-source`
    %{gconftool} --makefile-uninstall-rule \
      %{gsysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`%{gconftool} --get-default-source`
%{gconftool} --makefile-install-rule \
  %{gsysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`%{gconftool} --get-default-source`
    %{gconftool} --makefile-uninstall-rule \
      %{gsysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
# %dir %attr(775,root,root) /etc/gconf
# %dir %attr(775,root,root) /etc/gconf/schemas
%{gsysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libexecdir}/%{name}-launch
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*.svg
%{_datadir}/%{name}/*.py
%dir %{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/virtManager/*.py
%dir %{_datadir}/%{name}/virtinst
%{_datadir}/%{name}/virtinst/*.py
# %dir %attr(775,root,root) %{_datadir}/locale/or
# %dir %attr(775,root,root) %{_datadir}/locale/or/LC_MESSAGES
# %{_datadir}/locale/or/LC_MESSAGES/*
%{_datadir}/omf/%{name}
# %dir %attr(775,root,root) %{_datadir}/gnome
# %{_datadir}/gnome/help
%{_datadir}/applications/YaST2/%{name}.desktop
%{_datadir}/dbus-1/services/%{name}.service
%{_datadir}/man/man1/%{name}.1*
# FIXME: autobuild complains that these are unowned (not true...)
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%dir %{_datadir}/applications/YaST2

%changelog
* Mon May 17 2010 carnold@novell.com
- bnc#551441 - OES VM will not start if virt-manager is used to
  create and add a file-backed disk
  virtinst-mode.diff
* Mon Apr 26 2010 carnold@novell.com
- Fixes in virtman-keycombo.diff to match virt-viewer's 'Send Key'
  menu options.  See bnc#553633
* Mon Nov  9 2009 carnold@novell.com
- bnc#553633 - Update breaks menu access keys in virt-viewer and
  still misses some key sequences.  This bug also applies to the
  virt-manager viewer.
  virtman-keycombo.diff
* Mon Oct 19 2009 carnold@novell.com
- bnc#547590 - L3: virt-manager is unable of displaying VNC console on
  remote hosts
  virtman-viewer2.diff
* Wed Jul 29 2009 carnold@novell.com
- fate#306720: xen: virt-manager cdrom handling.
  virtman-cdrom.diff
* Mon Apr  6 2009 ro@suse.de
- buildfix: added exclusivearch (ix86 and x86_64 as libvirt)
* Thu Apr  2 2009 ro@suse.de
- buildfix: fix check for old broken script
* Tue Mar  3 2009 dpmerrill@novell.com
- Parse vnc listen host from xml instead of localhost (bnc#436629)
  SWAMPID: 22615
* Mon Mar  2 2009 dpmerrill@novell.com
- Change addhardware to default cdrom to hdc (bnc#376935)
  SWAMPID: 22615
* Mon Feb  9 2009 dpmerrill@novell.com
-  Remove SCSI disk option from addhardware (bnc#464293)
* Wed Nov 12 2008 dpmerrill@novell.com
- Remove xen+tcp and replace transport with netcat (bnc#397633)
  SWAMPID: 19355
* Fri Oct  3 2008 dpmerrill@novell.com
- Replace xen+ssh remote connections with xen+tcp (bnc#397633)
  SWAMPID: 19355
* Fri May  2 2008 dpmerrill@novell.com
- Changed console.py for NetWare installs -- turned off F10
  accelerator and changed focus handling (bnc#385546)(bnc#385461)
* Fri Apr 25 2008 dpmerrill@novell.com
- Fixed console.py SendKey for "PrintScreen"
* Tue Apr 22 2008 dpmerrill@novell.com
- Changed desktop file for starting from KDE (bnc#377277)
* Mon Apr 21 2008 dpmerrill@novell.com
- Changed "SendKey" to send "Delete" instead of "Del" (bnc#381897)
* Fri Apr 18 2008 dpmerrill@novell.com
- Added vncViewerMaxRetries to prevent showing expected libvirt
  exceptions from cluttering the error log (bnc#366792)
* Wed Apr  9 2008 dpmerrill@novell.com
- Changed vnc settings to prevent screen-saver lockup (bnc#253264)
- Added read-only option in Details->Hardware for adding cdroms
  to prevent libvirt exceptions. (bnc#368204) (bnc#361990)
* Fri Apr  4 2008 dpmerrill@novell.com
- Removed Virtual Network tab from host details page (bnc#364514)
* Wed Apr  2 2008 dpmerrill@novell.com
- Fixed adding a virtual network to a vm (bnc#302663)
  Also fixed errors caused by new dbus-1 release
* Wed Mar 12 2008 dpmerrill@novell.com
- Added warning for attempting multiple installs (bnc#368278)
* Wed Feb 20 2008 dpmerrill@novell.com
- Added virtman-timewatch to minimize window after
- inactivity to work around memory leaks in GTK and DBus
- bnc#287366 (L3)
* Thu Feb 14 2008 dpmerrill@novell.com
- Changed virtman-xen-uri to correct the case where no
- connection param is passed in and uri is None
- bnc#362013
* Tue Feb 12 2008 dpmerrill@novell.com
- Changed virtman-desktop and virtman-xen-uri to correct invalid
- parms being passed in from YaST - now sends "-c xen:///"
- bnc#361334
* Tue Feb 12 2008 dpmerrill@novell.com
- Added virtman-detect to delay Hal signal connection until
- after device detection to prevent start-up delay
- bnc#361202
* Mon Feb 11 2008 dpmerrill@novell.com
- Added virtman-pointer to set vnc to show only one pointer
- bnc#359799
* Sun Feb  3 2008 dpmerrill@novell.com
- Added virtman-vminstall for connecting to vm-install
- and changed virtman-xen-uri.diff to force "xen:///"
- bnc#358400
* Sun Feb  3 2008 dpmerrill@novell.com
- Added virtman-xen-uri.diff to fix problem starting vnc.
- virtman was getting confused between "xen" and "xen:///" uris.
- bnc#358397
* Sat Feb  2 2008 dpmerrill@novell.com
- Added virtman-dbus-query.diff to work around a hal/dbus
- bug that crashes on QueryCapabilities()
- bnc#358324
* Thu Jan 31 2008 dpmerrill@novell.com
- Added virtinst to finish resolving run-time dependencies
- bnc#355826
- bnc#356999
* Wed Jan 23 2008 dpmerrill@novell.com
- Changed package requirements in spec file Requires section.
- pygtk2 -> python-gtk
- gnome-python2-gconf -> python-gnome
- dbus-python -> dbus-1-python
- gnome-python2-gnomekeyring -> removed
- gnome-python2-gnomevfs -> removed
- python-virtinst -> removed
- pygtk2-libglade -> removed
- gtk-vnc-python -> python-gtk-vnc
* Sat Jan 19 2008 dpmerrill@novell.com
- Added new virt-manager version (0.5.3) to sle10-sp2-i386
- (FATE Feature #302140)
* Thu Aug 16 2007 ccoffing@novell.com
- Update virt-manager to match vm-install changes due to #279153.
* Mon Jul  9 2007 ccoffing@novell.com
- Properly attach and detach CDs to running VM.  (#289393)
* Wed May  9 2007 ccoffing@novell.com
- Update .desktop with proper group.  (#258600)
* Fri May  4 2007 ccoffing@novell.com
- Fix syntax error ("NOne" should be "None"), which caused
  unnecessary VNC connection failures in virt-manager.  (#237406)
* Wed May  2 2007 ccoffing@novell.com
- Drop virtman-xenstored-thrashing.diff, to change the default
  refresh rate from 5 seconds back to 1 second.  It is more
  important to have up-to-date knowledge of VMs (to ensure consoles
  can be opened, etc) rather than trying to lessen virt-manager's
  processor load.  (#270761)
* Tue Apr 10 2007 ccoffing@novell.com
- Remove code that (incorrectly) guesses the vnc port.  (#259692)
- Do not refresh GUI every second (which causes xenstored to not
  thrash so badly, which makes virt-manager more responsive and
  less likely to time out or lock up).  Partial fix for #237406.
- Import changeset 440, which makes virt-manager honor dom0's
  keymap.  (#241149)
- Revert patch for bug #244772, because it causes lockups, as
  noted in bug #261110.
- Fix attaching disks to running VM.  (#238986)
* Wed Mar 28 2007 ccoffing@novell.com
- Update icon filename.
* Tue Mar 13 2007 ccoffing@novell.com
- Import threading and timer tick patches from upstream to improve
  stability. (#237406 and others)
- Do not offer QEMU option. (#254083)
* Mon Mar 12 2007 ccoffing@novell.com
- Update virt-manager to match changes in vm-install's disk class,
  due to bug #247849.
* Fri Mar  9 2007 ccoffing@novell.com
- Make Ctrl+Alt release the mouse cursor (#252998).
* Thu Mar  8 2007 ccoffing@novell.com
- Add release to "Requires: xen-tools", to prevent mixing with
  pre-beta 5.  (#238986, #252495)
* Fri Mar  2 2007 ccoffing@novell.com
- Disable gtk-menu-bar-accel when VM has focus, to allow VM to get
  F10 key. (#240001)
* Tue Feb 27 2007 ccoffing@novell.com
- Update to 0.3.1.
- "Requires: librsvg" (#250156)
- Re-use vm-install's disk UI, to allow disks to be added/removed
  from xend-managed VMs (currently only for running VMs). (#238986)
* Thu Feb 22 2007 ccoffing@novell.com
- If Xen isn't running, put up error window instead of raising.
  (#244772)
* Tue Feb 13 2007 ccoffing@novell.com
- Update to latest hg; grabs mouse for better mouse tracking.
  (#240387)
- Don't lose mouse grab on every keystroke
- Disable menubar & toolbar when pointer is in VM window, to avoid
  key conflicts.  (#240001)
- Fix syntax to avoid deprecation warnings (don't raise strings).
- YaST integration: default to managing on-box; detach from yast
  control center.
* Mon Jan 29 2007 ccoffing@novell.com
- Fix desktop file.  (#239275)
- Update to 0.3.0 (updated translations; no code changes)
* Mon Jan 22 2007 ccoffing@novell.com
- Fix desktop file, so icon shows in YaST.  (#237046)
- Clean up macros in spec file.
* Fri Jan 19 2007 ccoffing@novell.com
- Use temporary icon until real ones arrive.
- Update to changeset 371 to fix VNC issues.
* Wed Jan 17 2007 ccoffing@novell.com
- Fix BuildRequires and paths to work with both SLES10 and STABLE.
* Fri Jan 12 2007 ccoffing@novell.com
- Fix sysconfdir path.
- Add desktop file.
* Thu Jan 11 2007 ccoffing@novell.com
- Add to SLES 10 SP1 (fate #301181)
- Update to virt-manager 0.2.6.
- Fix type_register deprecation warnings.
* Tue Oct 24 2006 ccoffing@novell.com
- Initial package.
- Replace virt-inst with xen-vm-install (part of xen-tools-install)
